/********************************************************************************
* Advanced Database Topics
* Dave Valentine
* Extended Events
*
* PART II  Extended Events Demo Scripts
********************************************************************************/

USE AdventureWorks2012;
GO

/********************************************************************************
* This script opens a transaction updates a table waits for 10 seconds then
* updates another table.  PART III should be ran in another query window.  The 
* idea here is to generate a deadlock.
********************************************************************************/
BEGIN TRANSACTION

UPDATE [Person].[Person] 
SET LastName = 'Miller'
WHERE BusinessEntityID = 9


WAITFOR DELAY '00:00:10'

UPDATE [Person].[Person] 
SET LastName = 'Goldberg'
WHERE BusinessEntityID = 5

COMMIT



/********************************************************************************
* END PART II  Extended Events Demo Scripts
********************************************************************************/


